﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Annotation 클래스 : Click 이벤트를 사용해 주석 클릭하기";

            this.tChart.Panel.Pen      = new ChartPen(Color.Black);
            this.tChart.Legend.Visible = false;

            Line line = new Line(this.tChart.Chart);
            
            line.FillSampleValues(20);

            Annotation annotation1 = new Annotation(this.tChart.Chart);

            annotation1.Position      = AnnotationPositions.Custom;
            annotation1.PositionUnits = PositionUnits.Pixels;
            annotation1.Left          = 100;
            annotation1.Top           = 100;
            annotation1.Shape.Color   = Color.Yellow;
            annotation1.Text          = "주석 1";

            Annotation annotation2 = new Annotation(this.tChart.Chart);

            annotation2.Position      = AnnotationPositions.Custom;
            annotation2.PositionUnits = PositionUnits.Pixels;
            annotation2.Left          = 200;
            annotation2.Top           = 200;
            annotation2.Shape.Color   = Color.Orange;
            annotation2.Text          = "주석 2";

            Annotation annotation3 = new Annotation(this.tChart.Chart);

            annotation3.Position         = AnnotationPositions.Custom;
            annotation3.PositionUnits    = PositionUnits.Pixels;
            annotation3.Left             = 300;
            annotation3.Top              = 300;
            annotation3.Shape.Color      = Color.Red;
            annotation3.Shape.Font.Color = Color.White;
            annotation3.Text             = "주석 3";

            annotation1.Click += annotation_Click;
            annotation2.Click += annotation_Click;
            annotation3.Click += annotation_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 주석 클릭시 처리하기 - annotation_Click(sender, e)

        /// <summary>
        /// 주석 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void annotation_Click(object sender, MouseEventArgs e)
        {
            Annotation annotation = sender as Annotation;

            MessageBox.Show(this, annotation.Text);
        }

        #endregion
    }
}